Loading...
Searching...
No Matches
juce::OSCReceiver::Listener< CallbackType > Class Template Referenceabstract

## Detailed Description

template<typename CallbackType = MessageLoopCallback>
class juce::OSCReceiver::Listener< CallbackType >

A class for receiving OSC data from an OSCReceiver.

The template argument CallbackType determines how the callback will be called and has to be either MessageLoopCallback or RealtimeCallback. If not specified, MessageLoopCallback will be used by default.

See also
  OSCReceiver::addListener, OSCReceiver::ListenerWithOSCAddress, OSCReceiver::MessageLoopCallback, OSCReceiver::RealtimeCallback

The documentation for this class was generated from the following file:

- juce_osc/osc/juce_OSCReceiver.h

## Public Member Functions

virtual | ~Listener ()=default
| Destructor.
virtual void | oscMessageReceived (const OSCMessage &message)=0
| Called when the OSCReceiver receives a new OSC message.
virtual void | oscBundleReceived (const OSCBundle &)
| Called when the OSCReceiver receives a new OSC bundle.

## Constructors and Destructors

## ~Listener()

template<typename CallbackType = MessageLoopCallback>

virtual juce::OSCReceiver::Listener< CallbackType >::~Listener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## oscMessageReceived()

template<typename CallbackType = MessageLoopCallback>

virtual void juce::OSCReceiver::Listener< CallbackType >::oscMessageReceived | ( | const OSCMessage & | message | ) |

pure virtual

Called when the OSCReceiver receives a new OSC message.

You must implement this function.

## oscBundleReceived()

template<typename CallbackType = MessageLoopCallback>

virtual void juce::OSCReceiver::Listener< CallbackType >::oscBundleReceived | ( | const OSCBundle & |  | ) |

inline virtual

Called when the OSCReceiver receives a new OSC bundle.

If you are not interested in OSC bundles, just ignore this method. The default implementation provided here will simply do nothing.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited